WordPress backend bug with Safari 4

If you are using the recent version of WordPress (2.7.1) together with Apple’s beta of Safari 4 you might have come across a small bug when using the WordPress WYSIWYG editor.

wordpress-safari-bug

Certain overlay dialog boxes are blocking the interface. Rien ne va plus. Until recently I switched to Firefox to edit my blog posts. But this was increasingly not fun. So I decided to look behind the bug and it seems that the Safari 4 beta is using a buggy build of WebKit, the underlying rendering engine of Apple’s browser.

Hence the solution to this problem is quite simple. Just go to nightly.webkit.org, download the latest nightly build of WebKit, install and never use FireFox again.

Socialize this